package com.seer.teach.user.convert;

import com.seer.teach.user.request.HomeLayoutReq;
import com.seer.teach.user.response.HomeLayoutResp;
import com.seer.teach.user.entity.HomeLayoutEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface HomeLayoutConvert {

    HomeLayoutConvert INSTANCE = Mappers.getMapper(HomeLayoutConvert.class);

    HomeLayoutResp convertOne(HomeLayoutEntity entity);

    List<HomeLayoutResp> convertList(List<HomeLayoutEntity> list);

    HomeLayoutEntity convertOne2Entity(HomeLayoutReq req);

}
